Package: org.gmetrics.report

## [Groovy] Class FunctionsCriteriaFilter

- org.gmetrics.report.FunctionsCriteriaFilter

- Provides data and behavior for enabling reports to filter the set of functions included in a report. This class is intended to be used as a Groovy

  Mixin:
    for ReportWriter classes.
  Authors:
    Chris Mair
  Version:
    \$Revision: 118 \$ - \$Date: 2010-07-10 21:55:10 -0400 (Sat, 10 Jul 2010) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `includesFunction(Metric metric, String functionName)`
    `` | `void` | `setFunctions(String criteria)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### boolean includesFunction(Metric metric, String functionName)

    - #### void setFunctions(String criteria)